From pica-mail-mta

#installation des paquets debian
RUN apt-get update -y \
  && apt-get install -y \
      nano telnet rsyslog dnsutils \
  && rm -rf /var/lib/apt/lists/*


#serveur MDA/LDA sous la forme d'un serveur LMTP : donner l'adresse et le port du conteneur avec pica-mail-mda
#attention, des informations seront envoyées en clair, il faut que le canal soit sécurisé
ENV LMTP_LAN_HOSTNAME pica-mail-mda-ldap.local-mail-delivery
ENV LMTP_PORT 24


#SASL

#serveur IMAP utilisé pour l'authentification IMAP (optionnel)
#attention, des informations seront envoyées en clair, il faut que le canal soit sécurisé
ENV IMAP_AUTH_LAN_HOSTNAME pica-mail-mda-ldap.local-mail-delivery
ENV IMAP_AUTH_PORT 143

#serveur LDAP utilisé pour l'authentification LDAP (optionnel)
#attention, des informations seront envoyées en clair, il faut que le canal soit sécurisé
#on pourrait utiliser ldaps au lieu de ldap
ENV LDAP_PROTOCOL ldap
ENV LDAP_SERVER_HOSTNAME ldap.test.picasoft.net
ENV LDAP_PORT 389
ENV LDAP_BIND_DN cn=nss,dc=picasoft,dc=net
ENV LDAP_BIND_PW rdonly
ENV LDAP_SEARCH_BASE dc=picasoft,dc=net
ENV LDAP_SASL_FILTER cn=%u
ENV LDAP_VIRTUAL_MAILBOX_FILTER uid=%s

COPY saslauthd-postfix /etc/default/
COPY entrypoint2.sh /
ENTRYPOINT ["/entrypoint2.sh"]
